Inhalte
Index 🔎︎

# Seek Statement

Legt die Position für den nächsten Schreib- oder Lesevorgang in einer Datei fest, die mit der Anweisung Open geöffnet wurde.

Bei Direktzugriffsdateien bestimmt die Anweisung Seek die Datensatznummer des nächsten Datensatzes, auf den zugegriffen werden soll.

Für alle anderen Dateien legt die Anweisung Seek die Position des Bytes innerhalb der geöffneten Datei fest, an der der nächste Vorgang stattfinden soll.

### Syntax:

    Seek [#]filePos, {filePos|recordNum}

## Parameters:

fileNum: The data channel number used in the Open statement.

filePos, recordNum: Position for the next writing or reading. Position can be a number between 1 and 2,147,483,647. According to the file type, the position indicates the number of the record (files in the Random mode) or the byte position (files in the Binary, Output, Append or Input mode). The first byte in a file is position 1, the second byte is position 2, and so on.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

52 Dateiname oder -nummer falsch

Verwandte Themen

Open Statement

Seek function